Page MenuHomePhabricator

elm.Window do not update the borderless state correctly
Closed, ResolvedPublic

Description

Setting the borderless propery of an elm window to TRUE do not update the status of the window, while it work when setting FALSE.

See the elm test "Window States":
if you click the "borderless" check nothing happen (unless you change something other (like Alpha)

DaveMDS created this task.Aug 13 2016, 5:54 AM

confirmed here

raster edited projects, added enlightenment-git; removed efl.Aug 13 2016, 7:21 AM
raster added a subscriber: raster.

efl sets the _MOTIF_WM_HINTS property hints and swizzles flags. this code hasn't changed in forever and the property changes. the problem will be with the wm tracking/reading the property :) i havent looked there right now but i did chase it down to the property being set or not by client. that was easy.

jpeg added a subscriber: jpeg.Oct 27 2016, 10:55 PM

The test case works in XFCE. Also the hint is properly set as raster said, and if set before show() then borderless mode works. This is why windows like GTK3 apps display properly. Only on-the-fly change is broken, in E.

yup. seems an e issue. :(

DaveMDS reopened this task as Open.Oct 28 2016, 11:02 AM

hmm, the borderless property now get applied correctly,
but the "Window State" have a different issue now

Did that test works for you?
Here if I click borderless checkbox the border is removed, the window is moved up by the border size, but input on the win is still at old position, that is: I need to click ~20 pixels below the checkbox to really click it. The same offset apply to all other widgets in the win

jpeg closed this task as Resolved.Nov 7 2016, 8:32 PM

I believe the issue with the offset was the same as T4749.